﻿using IRaCIS.Core.Domain.Share;

namespace IRaCIS.Core.Domain.Models;

[Comment("后台 - 系统用户类型 （需要同步）")]
public class UserType : Entity
{
    #region 导航属性
    [JsonIgnore]
    public List<UserTypeMenu> UserTypeMenuList { get; set; }
    [JsonIgnore]
    public List<UserTypeGroup> UserTypeGroupList { get; set; }

    [JsonIgnore]
    public List<SystemDocNeedConfirmedUserType> SystemDocNeedConfirmedUserTypeList { get; set; }

    [JsonIgnore]
    public List<UserRole> UserList { get; set; }
    #endregion
    public UserTypeEnum UserTypeEnum { get; set; }

    public string UserTypeName { get; set; } = string.Empty;

    public string Description { get; set; } = string.Empty;

    public int Order { get; set; }

    public string UserTypeShortName { get; set; } = string.Empty;

    public bool IsEnable { get; set; } = true;
    public string PermissionStr { get; set; } = string.Empty;
}