﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace IRaCIS.Core.Infra.EFCore.Migrations
{
    /// <inheritdoc />
    public partial class UserLogAddUserType : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "ActionUserType",
                table: "UserLog",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.CreateIndex(
                name: "IX_UserLog_ActionIdentityUserId",
                table: "UserLog",
                column: "ActionIdentityUserId");

            migrationBuilder.AddForeignKey(
                name: "FK_UserLog_IdentityUser_ActionIdentityUserId",
                table: "UserLog",
                column: "ActionIdentityUserId",
                principalTable: "IdentityUser",
                principalColumn: "Id");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_UserLog_IdentityUser_ActionIdentityUserId",
                table: "UserLog");

            migrationBuilder.DropIndex(
                name: "IX_UserLog_ActionIdentityUserId",
                table: "UserLog");

            migrationBuilder.DropColumn(
                name: "ActionUserType",
                table: "UserLog");
        }
    }
}
