﻿using IRaCIS.Application.Contracts;
using IRaCIS.Core.Domain.Share;

namespace IRaCIS.Core.Application.Auth
{
    public class UserTokenInfo
    {
        public Guid IdentityUserId { get; set; }

        public Guid UserRoleId { get; set; }

        public Guid UserTypeId { get; set; }

        public UserTypeEnum UserTypeEnum { get; set; }

        public string UserName { get; set; } = string.Empty;
        public string FullName { get; set; } = string.Empty;

        public string PermissionStr { get; set; } = string.Empty;

        public bool IsTestUser { get; set; }

        public bool IsZhiZhun { get; set; }

        public string UserTypeShortName { get; set; } = string.Empty;
    }
}